Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.txtimer
Class EJBTimerServiceImpl

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.ejb.txtimer.EJBTimerServiceImpl

All Implemented Interfaces:
  EJBTimerService, EJBTimerServiceImplMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class EJBTimerServiceImpl
extends org.jboss.system.ServiceMBeanSupport
implements EJBTimerServiceImplMBean

A service that implements this interface provides an Tx aware EJBTimerService.

Since:
  07-Apr-2004
Author:
  Thomas.Diesler@jboss.org

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.ejb.txtimer.EJBTimerServiceImplMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`EJBTimerServiceImpl()`

Method Summary
`javax.ejb.TimerService` | `createTimerService(javax.management.ObjectName containerId, Object instancePk, Container container)` Create a TimerService for a given TimedObjectId that lives in a JBoss Container.
`javax.ejb.TimerService` | `createTimerService(javax.management.ObjectName containerId, Object instancePk, TimedObjectInvoker invoker)` Create a TimerService for a given TimedObjectId that is invoked through the given invoker
`javax.management.ObjectName` | `getPersistencePolicy()` Get the object name of the persistence policy.
`javax.management.ObjectName` | `getRetryPolicy()` Get the object name of the retry policy.
`String` | `getTimedObjectInvokerClassName()` Get the TimedObjectInvoker class name
`String` | `getTimerIdGeneratorClassName()` Get the TimerIdGenerator class name
`javax.ejb.TimerService` | `getTimerService(javax.management.ObjectName containerId, Object instancePk)` Get the TimerService for a given TimedObjectId
`String` | `listTimers()` List the timers registered with all TimerService objects
`void` | `removeTimerService(javax.management.ObjectName containerId, Object instancePk)` Remove the TimerService for a given TimedObjectId If the instance pk is left to null, it removes all timer services for the container id
`void` | `retryTimeout(javax.management.ObjectName containerId, Object instancePk, javax.ejb.Timer timer)` Invokes the ejbTimeout method a given TimedObjectId
`void` | `setPersistencePolicy(javax.management.ObjectName persistencePolicyName)` Set the object name of the persistence policy.
`void` | `setRetryPolicy(javax.management.ObjectName retryPolicyName)` Set the object name of the retry policy.
`void` | `setTimedObjectInvokerClassName(String timedObjectInvokerClassName)` Set the TimedObjectInvoker class name
`void` | `setTimerIdGeneratorClassName(String timerIdGeneratorClassName)` Get the TimerIdGenerator class name

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJBTimerServiceImpl

    public EJBTimerServiceImpl()

Method Detail

### getRetryPolicy

    public javax.management.ObjectName getRetryPolicy()

  Get the object name of the retry policy.

  Specified by:
    `getRetryPolicy` in interface `EJBTimerServiceImplMBean`

### setRetryPolicy

    public void setRetryPolicy(javax.management.ObjectName retryPolicyName)

  Set the object name of the retry policy.

  Specified by:
    `setRetryPolicy` in interface `EJBTimerServiceImplMBean`

### getPersistencePolicy

    public javax.management.ObjectName getPersistencePolicy()

  Get the object name of the persistence policy.

  Specified by:
    `getPersistencePolicy` in interface `EJBTimerServiceImplMBean`

### setPersistencePolicy

    public void setPersistencePolicy(javax.management.ObjectName persistencePolicyName)

  Set the object name of the persistence policy.

  Specified by:
    `setPersistencePolicy` in interface `EJBTimerServiceImplMBean`

### getTimerIdGeneratorClassName

    public String getTimerIdGeneratorClassName()

  Get the TimerIdGenerator class name

  Specified by:
    `getTimerIdGeneratorClassName` in interface `EJBTimerServiceImplMBean`

### setTimerIdGeneratorClassName

    public void setTimerIdGeneratorClassName(String timerIdGeneratorClassName)

  Get the TimerIdGenerator class name

  Specified by:
    `setTimerIdGeneratorClassName` in interface `EJBTimerServiceImplMBean`

### getTimedObjectInvokerClassName

    public String getTimedObjectInvokerClassName()

  Get the TimedObjectInvoker class name

  Specified by:
    `getTimedObjectInvokerClassName` in interface `EJBTimerServiceImplMBean`

### setTimedObjectInvokerClassName

    public void setTimedObjectInvokerClassName(String timedObjectInvokerClassName)

  Set the TimedObjectInvoker class name

  Specified by:
    `setTimedObjectInvokerClassName` in interface `EJBTimerServiceImplMBean`

### createTimerService

    public javax.ejb.TimerService createTimerService(javax.management.ObjectName containerId,
                                                     Object instancePk,
                                                     Container container)

  Create a TimerService for a given TimedObjectId that lives in a JBoss Container. The TimedObjectInvoker is constructed from the invokerClassName.

  Specified by:
    `createTimerService` in interface `EJBTimerService`
  Parameters:
    `containerId` - The string identifier for a class of TimedObjects
    `instancePk` - The rimary key for an instance of a TimedObject, may be null
    `container` - The Container that is associated with the TimerService
  Returns:
    the TimerService

### createTimerService

    public javax.ejb.TimerService createTimerService(javax.management.ObjectName containerId,
                                                     Object instancePk,
                                                     TimedObjectInvoker invoker)

  Create a TimerService for a given TimedObjectId that is invoked through the given invoker

  Specified by:
    `createTimerService` in interface `EJBTimerService`
  Parameters:
    `containerId` - The string identifier for a class of TimedObjects
    `instancePk` - The rimary key for an instance of a TimedObject, may be null
    `invoker` - The TimedObjectInvoker
  Returns:
    the TimerService

### getTimerService

    public javax.ejb.TimerService getTimerService(javax.management.ObjectName containerId,
                                                  Object instancePk)

  Get the TimerService for a given TimedObjectId

  Specified by:
    `getTimerService` in interface `EJBTimerService`
  Parameters:
    `containerId` - The string identifier for a class of TimedObjects
    `instancePk` - The rimary key for an instance of a TimedObject, may be null
  Returns:
    The TimerService, or null if it does not exist

### retryTimeout

    public void retryTimeout(javax.management.ObjectName containerId,
                             Object instancePk,
                             javax.ejb.Timer timer)

  Invokes the ejbTimeout method a given TimedObjectId

  Specified by:
    `retryTimeout` in interface `EJBTimerService`
  Parameters:
    `containerId` - The string identifier for a class of TimedObjects
    `instancePk` - The rimary key for an instance of a TimedObject, may be null
    `timer` - the Timer that is passed to ejbTimeout

### removeTimerService

    public void removeTimerService(javax.management.ObjectName containerId,
                                   Object instancePk)

  Remove the TimerService for a given TimedObjectId If the instance pk is left to null, it removes all timer services for the container id

  Specified by:
    `removeTimerService` in interface `EJBTimerService`
  Parameters:
    `containerId` - The string identifier for a class of TimedObjects
    `instancePk` - The rimary key for an instance of a TimedObject, may be null

### listTimers

    public String listTimers()

  List the timers registered with all TimerService objects

  Specified by:
    `listTimers` in interface `EJBTimerServiceImplMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.